vaultwarden-webvault (2025.12.1+build.3-1+1.1) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Tue, 20 Jan 2026 09:37:20 +0000

vaultwarden-webvault (2025.12.1~1) stable; urgency=low

  - Update to version 2025.12.1
    * Re-implemented UI for recovering old attachments
    * UI tweaks when joining a Key Connector organization
    * Updated navigation and policy naming for import and export to provide greater consistency
    * Web app now enforces new session timeout policy configurations
    * Small performance improvement when logging in
    * Various under-the-hood improvements and minor bug fixes.
    * Fixed an issue where Access Intelligence displayed for organizations without the feature enabled.
    * Access intelligence is now generally available
    * Removed beta label from login with passkey feature
    * Release fixes export button failure on Member Access Report page.
    * Updated vault behavior for users subject to organization data ownership policy
    * Updated behavior when logging in when SSO is required
    * Added more event logs for machine accounts
    * Added error message for incorrect two-step login recovery code
    * Updated collection management settings for organizations
    * Improved search speed
    * Improved autofill menu positioning logic in the Safari browser extension to keep it displayed above other content on the page
    * Show website icons when viewing an item
    * Added new policy to disallow saving credit card items

 -- Julian Röder <obs@masgalor.de>  Fri, 09 Jan 2026 19:10:10 +0100

vaultwarden-webvault (2025.7.1~1) stable; urgency=low

  - Update to version 2025.7.1
    * Added importer support for Password depot
    * Performance improvements for member access report
    * Renamed “remove individual vault” policy to “enforce organization data ownership”
    * Dependency updates, small bug-fixes, and enhancements
    * Added logging for which transport method is in use for notifications
    * Removed support for users with no userkey

 -- Julian Röder <obs@masgalor.de>  Mon, 11 Aug 2025 09:40:17 +0100

vaultwarden-webvault (2025.5.0~1) stable; urgency=low

  - Update to version 2025.5.0
    * Dependency updates, small bug-fixes, and enhancements
    * Added SSO External ID to member dialog
    * Update encryption key rotation to preserve Trusted Devices
    * Added .zip export format to include attachments in individual export
    * Added Microsoft Edge import option
    * Added additional console logging when unlocking
    * Updated UI for two-step login with security keys
    * Added location to login with device requests
    * Added banner to web vault for pending login with device requests
    * Made devices table responsive to new login with device requests
    * Refreshed UI for most login flows
    * Updated item UI when viewing items from reports
    * Updated flow for recovery code to log user in
    * Added opt-out for new device login protection
    * Improved performance for exposed passwords reports
    * Bug-fix for TOTP not generating

 -- Julian Röder <obs@masgalor.de>  Tue, 27 May 2025 12:07:37 +0100

vaultwarden-webvault (2025.1.1~1) stable; urgency=low

  - Update to version 2025.1.1
    * Added new device management section to web app for approving login requests
    * Can now generate SSH keys
    * Dependency updates, small bug fixes, and other small enhancements
    * Updated styles for a more approachable and modern design
    * Added new ‘view’ modal for items. Items no longer open in ‘edit’ modal.
    * Added new item type for SSH keys
    * Improved security of memory management when locking or logging out
    * Added new sorting options to organization collection management
    * Added new import options
    * Updated flow for verifying bank account payment method
    * Revert the passphrase minimum back to 3 words
    * Security update for generating passphrases
    * Renamed menu actions for improved clarity
    * Added sort options to exposed password report
    * Added Member Access report
    * Many components migrated to Tailwind
    * Add password generator to password-protected export option
    * Add support for users to set a master password when their organization updates member decryption options
    * Added support for multi-thread encryption to improve performance
    * Updates to password policy for improved clarity
    * Passkeys now keep encryption capability following account encryption key rotation
    * Updates to two-step login setup
    * Updated vault view table responsiveness

 -- Julian Röder <obs@masgalor.de>  Mon, 3 Feb 2025 14:17:28 +0100

vaultwarden-webvault (2024.6.2c~1) stable; urgency=low

  - Update to version 2024.6.2c
    * hide organization plans again by @stefan0xC in #177
    * backport master password verification support by @stefan0xC in #179

 -- Julian Röder <obs@masgalor.de>  Thu, 5 Sep 2024 09:27:05 +0100

vaultwarden-webvault (2024.6.2b~1) stable; urgency=low

  - Update to version 2024.6.2b
    * disable org seat limit validation by @stefan0xC in #171
    * Strip query params when resolving subpath by @Timshel in #170
    * Updated input labels when configuring Duo to reflect new values
    * Updated left hand navigation to include switching between products
    * New collection management setting that configures Owner and Admin permissions to collections
    * Many components migrated to Tailwind
    * Fixed issue with email alias provider keys being stored in plaintext
    * Other small bug fixes and enhancements

 -- Julian Röder <obs@masgalor.de>  Mon, 12 Aug 2024 06:57:35 +0100

vaultwarden-webvault (2024.5.1b~1) stable; urgency=low

  - Update to version 2024.5.1b
    * Generate unique SP entity IDs with the SAML for SSO configuration
    * Increased import item quantity maximum
    * Allow bulk item collections management in the Admin Console
    * Added onboarding for new users
    * Bug fixes and small improvements
    * Small bug fixes and enhancements
    * disable org seat limit validation by @stefan0xC in #171
    * Strip query params when resolving subpath by @Timshel in #170

 -- Julian Röder <obs@masgalor.de>  Tue, 9 Jul 2024 09:04:53 +0100

vaultwarden-webvault (2024.1.2b~1) stable; urgency=low

  - Update to version 2024.1.2b
    * Revert patch to edit org info by @stefan0xC in #155

 -- Julian Röder <obs@masgalor.de>  Fri, 9 Feb 2024 09:44:04 +0100

vaultwarden-webvault (2024.1.2~1) stable; urgency=low

  - Update to version 2024.1.2
    * Login with passkey
    * Added password complexity checks to password protected export
    * Disallow XXE in import
    * Upgrade paths available for all organization types
    * Bug-fixes for imports
    * Big-fix for minimum/maximum values in generator
    * Bug-fix for screen-readers not announcing stored passkeys
    * Bug-fix for billing contact field for reseller-managed organizations
    * Bug-fix for saving items without a URI
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Wed, 31 Jan 2024 08:18:53 +0100

vaultwarden-webvault (2023.12.0~1) stable; urgency=low

  - Update to version 2023.12.0
    * Add prompt to set master password when user logs in with new permissions
    * Bug fix for users with custom permissions import to organization
    * Bug fix for link to item when logging in with SSO
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Tue, 2 Jan 2024 09:01:18 +0100

vaultwarden-webvault (2023.10.0~1) stable; urgency=low

  - Update to version 2023.10.0
    * Allow administrators to manage and delete collections from the individual vault
    * View and edit login items with passkeys saved to them
    * Add support for self-hosting email alias generators
    * Add support for 1Password .json import
    * Bug fix for Duo hardware keys
    * Added password history to Bitwarden export
    * Accessibility improvement for fingerprint-phrases
    * Update AnonAddy to addy.io
    * Security fixes
    * Bug-fix for password re-prompt
    * Bug-fix for Duo prompt
    * Make region button and dropdown/dialog more accessible
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Tue, 7 Nov 2023 08:01:26 +0100

vaultwarden-webvault (2023.8.2~1) stable; urgency=low

  - Update to version 2023.8.2
    * Add SSO with trusted devices
    * Expand import page on My Vault to support importing into folders or collections
    * Update Send tab UI components
    * Update Tools tab UI components
    * Update server selector copy
    * Update url for subscription management
    * Update “New” button to allow creation of folders and collections
    * Login with device enabled for self-host
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Fri, 1 Sep 2023 06:56:21 +0100

vaultwarden-webvault (2023.5.0~1) stable; urgency=low

  - Update to version 2023.5.0
    * Updated interface for selecting self-hosted environment
    * Bug fix for displaying “Input required” error before entering master password at login
    * Bug fix for Emergency Access invite when logging in with SSO
    * Bug fix for email two-step login with SSO

 -- Julian Röder <obs@masgalor.de>  Mon, 5 Jun 2023 12:44:53 +0100

vaultwarden-webvault (2023.4.2~1) stable; urgency=low

  - Update to version 2023.4.2
    * Send service refactor
    * Updated reports page for Free two-person organizations
    * Bug fix for event log links
    * Bug fix for members who are a provider user and member of an organization
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Mon, 27 Mar 2023 06:55:21 +0100

vaultwarden-webvault (2023.3.0b~1) stable; urgency=low

  - Update to version 2023.3.0b
    * Bug fix for users with personal vault disabled
    * Avatar color selector
    * Change forwarded email providers to dropdown
    * Improved error states for two-person orgs
    * Additional name validation for organizations
    * Bug fixes
    * Organization administration tabs have been restructured to provide easier management between collections, members, and groups, with a consolidated Vault view and new Members and Groups tabs
    * Adjust default KDF iterations to 600k
    * Adjust minimum allowed KDF iterations
    * Update help links and warnings on encryption settings
    * Expand title with “Mx“ option on an identity item
    * Add importer for Psono
    * Bug fix for newly imported items not showing in vault until logout/login occurs
    * Bug fix for using Admin Password Reset from Provider Portal
    * HaveIBeenPwned? API now checks the master password for exposed passwords upon account creation and changing the master password in the web vault
    * Master password minimum length requirement has been updated to 12 characters
    * Allow Enterprise administrators to verify domain ownership to simplify SSO login flows
    * A new Activate Auto-fill enterprise policy will automatically turn on auto-fill on page load for organization team members
    * Bug fix for Provider users that are part of an organization with the Single Organization or Remove Individual Vault policies turned on
    * Bug fix for viewing folders with various filters
    * Bug fix for subfolders not creating properly with Keeper CSV import

 -- Julian Röder <obs@masgalor.de>  Mon, 27 Mar 2023 06:55:21 +0100

vaultwarden-webvault (2022.12.0~1) stable; urgency=low

  - Update to version 2022.12.0
    * Updated login flow that splits username and master password into separate pages
    * New passwordless login option that allows users to login with an already-authenticated device
    * Organization administration tabs have been restructured, such as the new Billing and Reporting tabs, to provide easier discovery for common administrative tasks
    * SCIM-triggered events will log from SCIM instead of Unknown
    * SCIM API key will be obfuscated by default
    * Improved web vault load times and performance for accounts with thousands of vault items
    * Handle already verified email when resending verification email
    * Display creation date in vault item history
    * Add folder to item view
    * Change pageTitle to Vaultwarden and add favicons by @stefan0xC in #101
    * Change Billing Email -> Email by @tessus in #92
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Thu, 05 Jan 2022 08:23:10 +0100

vaultwarden-webvault (2022.10.2~1) stable; urgency=low

  - Update to version 2022.10.2
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Thu, 27 Oct 2022 07:46:16 +0100

vaultwarden-webvault (2022.10.1~1) stable; urgency=low

  - Update to version 2022.10.1
    * Hide DuckDuckGo forwarding service by @stefan0xC in #89
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Fri, 21 Oct 2022 07:12:59 +0100

vaultwarden-webvault (2022.10.0~1) stable; urgency=low

  - Update to version 2022.10.0
    * Added DuckDuckGo to forwarded email providers list
    * Created new flow for combined account/organization creation to simplify trial registration
    * Added Fastmail to forwarded email alias providers
    * Improvements to organization menu styles
    * Improvements to disabled organization display
    * The main Provider Portal screen now has at-a-glance seat and plan reporting for each client organization
    * Organizations will now have an event recorded in the event log when an owner or admin performs a vault export
    * Bug fix for “manage all collections” custom permissions
    * Bug fix for account referenceData not being populated
    * Bug fix for small typo in twoStepLogin modal (Community PR, thank you Patrick H. Lauke!)
    * Enable SCIM configuration
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Mon, 17 Oct 2022 07:38:40 +0100

vaultwarden-webvault (2022.6.2~1) stable; urgency=low

  - Update to version 2022.6.2
    * Vault timeout fix that requires a minimum of 1 min lockout
    * Bug fixes for vault filters
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Thu, 28 Jul 2022 06:45:40 +0100

vaultwarden-webvault (2.28.1~1) stable; urgency=low

  - Update to version 2.28.1
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Mon, 12 May 2022 06:58:48 +0100

vaultwarden-webvault (2.28.0~1) stable; urgency=low

  - Update to version 2.28.0
    * Expansion of the generator tool to create unique usernames. Username types include plus addressed emails, catch-all emails, and random words.
    * Moved reports to top navigation and added new icons for vault health reports
    * Accessibility update on “Generator” to announce slider element when clicked with assistive technologies
    * Fixed an import issue of URLs and notes in the macOS and Safari importer
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Mon, 25 Apr 2022 06:31:22 +0100

vaultwarden-webvault (2.27.0~1) stable; urgency=low

  - Update to version 2.27.0
    * Support for Dashlane, 1Password, and Myki importers
    * Improvements to SSO configuration
    * Introduce captcha upon 5 failed login attempts
    * Bug fixes

 -- Julian Röder <obs@masgalor.de>  Mon, 28 Mar 2022 06:58:10 +0100

vaultwarden-webvault (2.26.1~1) stable; urgency=low

  - Update to version 2.26.1
    * Icon updates
    * Light and dark theme fixes for WebAuthn and SSO
    * [Community] Display brand logo icons on credit card vault items
    * [Community] Updated inactive 2FA report to use 2fa.directory API v3
    * Stability, security and usability updates
    * Various bug fixes

 -- Julian Röder <obs@masgalor.de>  Mon, 21 Mar 2022 14:30:18 +0100

vaultwarden-webvault (2.25.1b~1) stable; urgency=low

  - Update to version 2.25.1b
    * Unhide the API Key section under My Account by @jjlin in #59

 -- Julian Röder <obs@masgalor.de>  Mon, 31 Jan 2022 14:07:50 +0100

vaultwarden-webvault (2.25.1~1) stable; urgency=low

  - Update to version 2.25.1
    * Bugfixes

 -- Julian Röder <obs@masgalor.de>  Mon, 24 Jan 2022 12:59:17 +0100

Vaultwarden-webvault (2.25.0~1) stable; urgency=low

  - Update to version 2.25.0
    * MacOS and Safari Importer
    * New LinkedField Custom Field Type
    * Key Connector for SSO with Customer Managed Encryption
    * Security & Bug Fixes

 -- Julian Röder <obs@masgalor.de>  Tue, 14 Dec 2021 10:54:10 +0100

vaultwarden-webvault (2.24.1~1) stable; urgency=low

  - Update to version 2.24.1
    * Vault Timeout Policy
    * Disable Personal Vault Export Policy
    * Custom Role - Improved Collection Permissions
    * Admin Password Reset - Update Password after Reset
    * Auto-scale Organization Seats
    * Deprecate Business Portal
    * Web Vault Dark Mode
    * Accessibility and Usability Improvements
    * Bug Fixes

 -- Julian Röder <obs@masgalor.de>  Thu, 28 Oct 2021 06:56:08 +0100

vaultwarden-webvault (2.23.0c~1) stable; urgency=low

  - Update to version 2.23.0c
    * Require Enrollment Enterprise Policy for Admin Password Reset
    * CAPTCHA Support
    * Feedback - Add reveal-password button to the re-prompt modal
    * Bug fixes
    * Don't hide single organization policy

 -- Julian Röder <obs@masgalor.de>  Thu, 21 Oct 2021 09:54:39 +0100

vaultwarden-webvault (2.22.3~1) stable; urgency=low

  - Update to version 2.22.3
    * New MSP/MSSP Provider Portal
    * Rename "Share" to "Move to Organization"
    * Support for Emoji's in Avatar
    * Added support for the Kannada language
    * Added support for the Azerbaijani language
    * Performance improvements for large vaults
    * Various bug fixes

 -- Julian Röder <obs@masgalor.de>  Mon, 20 Sep 2021 14:23:17 +0100

vaultwarden-webvault (2.21.1~1) stable; urgency=low

  - Fix build errors on debian based distributions.
    * The instructions to download the sources were changed.

 -- Julian Röder <obs@masgalor.de>  Tue, 27 Jul 2021 09:40:16 +0100

vaultwarden-webvault (2.21.1) stable; urgency=low

  - Update to version 2.21.1
    * Bug Fixes
    * Admin master password reset
    * Master password reprompt
    * Export/print events and audit report
    * Bulk remove, confirm, re-invite users for org
    * Bug and accessibility fixes

 -- Julian Röder <obs@masgalor.de>  Tue, 27 Jul 2021 07:46:26 +0100

vaultwarden-webvault (2.20.4b) stable; urgency=low

  - From now on, the webvault will be packaged from the corresponding git repository
    * This includes the versioning
  - Update to version 2.20.4b
    * Removed the terms of service agreements at signup that aren't applicable to self hosted instances
    * WebAuthn bug fixes
    * WebAuthn fixes for some international locales

 -- Julian Röder <obs@masgalor.de>  Thu, 01 Jul 2021 07:08:21 +0100

vaultwarden-webvault (1.21.0) stable; urgency=low

  - Project renamed to Vaultwarden
  - Update to version 1.21.0

 -- Julian Röder <obs@masgalor.de>  Fri, 30 Apr 2021 10:12:09 +0100
